Bosdates 'Payment.PHP'远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110690 漏洞类型 输入验证
发布时间 2006-07-27 更新时间 2006-08-03
CVE编号 CVE-2006-3957 CNNVD-ID CNNVD-200608-015
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/28289
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200608-015
|漏洞详情
BosDevBosDates的payment.php脚本存在PHP远程文件包含漏洞,远程攻击者可借助insPath参数中的URL执行任意PHP代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/19191/info

Bosdates is prone to a remote file-include vulnerability because it fails to properly sanitize user-supplied input.

An attacker can exploit this issue to include an arbitrary remote file containing malicious PHP code and execute it in the context of the webserver process. This may facilitate a compromise of the application and the underlying system; other attacks are also possible.

http://www.example.com/calendar/payment.php?insPath=[evil_script]
|参考资料

来源:BID
名称:19191
链接:http://www.securityfocus.com/bid/19191
来源:MISC
链接:http://www.jaascois.com/exploits/18602020
来源:SECTRACK
名称:1016585
链接:http://securitytracker.com/id?1016585